Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Java] Class Jdt

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject
          org.gradle.plugins.ide.eclipse.model.Jdt

    public class Jdt
    extends PropertiesPersistableConfigurationObject

Represents the Eclipse JDT settings.

Constructor Summary
`Jdt(PropertiesTransformer transformer)`

Method Summary
`protected String` | `getDefaultResourceName()`
`protected void` | `load(Properties properties)`
`void` | `setSourceCompatibility(JavaVersion sourceCompatibility)` Sets the source compatibility for the compiler.
`void` | `setTargetCompatibility(JavaVersion targetCompatibility)` Sets the target compatibility for the compiler.
`protected void` | `store(Properties properties)`

Constructor Detail

### Jdt

    public Jdt(PropertiesTransformer transformer)

Method Detail

### getDefaultResourceName

    @Override
    protected String getDefaultResourceName()

### load

    @Override
    protected void load(Properties properties)

### setSourceCompatibility

    public void setSourceCompatibility(JavaVersion sourceCompatibility)

  Sets the source compatibility for the compiler.

### setTargetCompatibility

    public void setTargetCompatibility(JavaVersion targetCompatibility)

  Sets the target compatibility for the compiler.

### store

    @Override
    protected void store(Properties properties)

Gradle API 1.10